Skip To Content

IE9 and Firefox 4 have been identified to cause erratic behavior in the online system and may compromise performance.

While some newer browsers may work, they have not been fully tested or approved by the software company that provides the software that runs the my.umary.edu portal.

The following browsers are supported:

Internet Explorer 7.0 IE7 is supported on systems running either of the following:
• Windows XP
• Windows Vista

Internet Explorer 8.0 IE8 is supported on systems running either of the following:
• Windows XP
• Windows Vista
• Windows 7

Firefox 2.0.0.20 Firefox 2.0.0.20 is supported on systems running either of the following:
• Windows XP
• Mac OS X, version 10.2 or 10.4

Firefox 3.0.7 is supported on either of the following:
• Windows XP
• Mac OS X, version 10.4

Firefox 3.5.x is supported on either of the following:
• Windows XP
• Windows Vista
• Mac OS X, version 10.4

Firefox 3.6.x is supported on either of the following:
• Windows XP
• Windows Vista
• Windows 7
• Mac OS X, version 10.4

Safari 3.2.1 Safari 3.2.1 is supported on systems running Mac OS X, version 10.4.11.